//
//  IHRGBADataView.h
//
//  Created by iOS Hero on 12/23/11.
//  Copyright (c) 2011 iOS Hero. All rights reserved.
//

typedef unsigned char byte;

typedef struct {
    byte red;
    byte green;
    byte blue;
    byte alpha;    
} RGBAPixel;

@interface IHRGBADataView : UIView
{
    IBOutlet UIImageView * imageView;
}

- (UIColor *)colorAtPoint:(CGPoint)point;
- (UIColor *)colorAtPointUsingCache:(CGPoint)point;

@end
